{% extends 'root.html' %}

{% load i18n microsocial humanize %}

{% block context %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                <h1>{% trans 'сообщения'|capfirst %}</h1>
                <ul style="list-style-type: none">
                    {% for pk in users_pk %}
                        {% for diaglo in dialogs %}
                            {% if pk == diaglo.pk %}
                                <div style="{% if recipient and pk == recipient.pk %}background-color: lightblue{% endif %}">
                                    <li>
                                        <a href="{% url 'dialog' diaglo.pk %}">
                                            <img src="{{ diaglo|get_avatar }}" style="margin: 5px 0" height="100px" width="100px"/>
                                            {{ diaglo.get_full_name }}
                                        </a>
                                    </li>
                                </div>
                            {% endif %}
                        {% endfor %}
                    {% endfor %}
                </ul>
                {% show_paginator dialogs page_arg_name='usr_page' %}
            </div>
            <div class="col-md-offset-2 col-md-7">
                {% if recipient %}
                    {% include 'show_messages.html' %}
                    <p>
                        {% trans 'диалог с'|capfirst %}
                        <a href="{% url 'profile' recipient.pk %}">
                            <img src="{{ recipient|get_avatar }}" height="50px" width="50px"/>
                            {{ recipient.get_full_name }}
                        </a>
                    </p>
                    <form class="form-horizontal" method="post">
                        {% csrf_token %}
                        <div class="form-group">
                            <div class="col-sm-6">
                                {{ form }}
                            </div>
                            <div class="col-sm-offset-1 col-sm-2">
                                <input type="submit" class="form-control btn btn-primary" value="{% trans 'отправить'|capfirst %}">
                            </div>
                        </div>
                    </form>
                    {% for usr_message in usr_messages %}
                        <div class="row" style="margin: 10px 0">
                            <div class="col-md-2">
                                <img src="{{ usr_message.author|get_avatar }}" height="100px" width="100px"/>
                            </div>
                            <div class="col-md-3">
                                <p>
                                    <a href="{% url 'profile' usr_message.author_id %}">{{ usr_message.author.get_full_name }}</a>
                                </p>
                                <span title="{{ usr_message.messages.time_create }}">{{ usr_message.messages.time_create|naturaltime }}</span>
                            </div>
                            <div class="col-md-7">
                                {{ usr_message.messages.text|linebreaksbr }}
                            </div>
                        </div>
                    {% endfor %}
                    {% show_paginator usr_messages page_arg_name='usr_message' %}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}